#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD7,0xF8,0x8D,0xFF,0x4F,0x2D,0x21,0x43,0xF3,0x15,0x35,0x19,
		0xEF,0x3B,0x5D,0xBB,0x60,0x73,0x45,0xA3,0xAC,0x30,0x4B,0xDC,
		0x24,0x9D,0x4F,0x16,0x71,0x8B,0x0D,0x33,0x18,0x9A,0xD9,0xFF,
		0x95,0x12,0x68,0x05,0x51,0x1D,0x9C,0xEF,0xAD,0x8A,0x84,0xCA,
		0x19,0xCC,0x32,0xBC,0x64,0x4A,0x69,0x29,0xE7,0xFC,0xB6,0x9B,
		0x2E,0x23,0x96,0xB3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
